Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227201 - network-functions sourcing files without path
Summary: network-functions sourcing files without path
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts
Version: 10
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-03 13:43 UTC by Daniel Qarras
Modified: 2014-03-17 03:05 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-03-16 18:35:48 UTC


Attachments (Terms of Use)

Description Daniel Qarras 2007-02-03 13:43:43 UTC
The function source_config in the file
/etc/sysconfig/network-scripts/network-functions contains several statements
like these:

        . $PARENTCONFIG
    . $CONFIG

There variables do not contain full path information, just a file name. This
might be an obscure security issue and this is also incompatible with other
shells than bash.

This can fixed adding path information to variables or using ". ./$CONFIG" notation.

Thanks.

Comment 1 Daniel Qarras 2007-10-12 20:55:23 UTC
This is still problem with F8T3.

Comment 2 Daniel Qarras 2008-05-05 22:19:59 UTC
Seen also with F9.

Comment 3 Bug Zapper 2008-05-14 02:35:18 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Daniel Qarras 2008-10-04 07:55:16 UTC
Still seeing this with F10Beta.

Comment 5 Bug Zapper 2008-11-26 01:52:40 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bill Nottingham 2009-03-16 18:35:48 UTC
This is fixed in rawhide.


Note You need to log in before you can comment on or make changes to this bug.